Package org.apache.storm.security.auth

# Class ThriftServer

java.lang.Object
org.apache.storm.security.auth.ThriftServer

public class ThriftServer extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final org.apache.storm.thrift.TProcessor`
  `processor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThriftServer(Map<String,Object> conf, org.apache.storm.thrift.TProcessor processor, ThriftConnectionType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getConf()`
  `int`
  `getPort()`
  Get port.
  `org.apache.storm.thrift.TProcessor`
  `getProcessor()`
  `ThriftConnectionType`
  `getType()`
  Get type.
  `boolean`
  `isServing()`
  Check whether serving.
  `void`
  `serve()`
  `void`
  `stop()`
  `boolean`
  `supportsWorkerTokens()`
  Check if worker tokens are supported by this thrift server.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### processor

    protected final org.apache.storm.thrift.TProcessor processor

- ## Constructor Details

  - ### ThriftServer

    public ThriftServer(Map<String,Object> conf, org.apache.storm.thrift.TProcessor processor, ThriftConnectionType type)

- ## Method Details

  - ### stop

    public void stop()

  - ### isServing

    public boolean isServing()
    Check whether serving.
    Returns:
      true if ThriftServer is listening to requests?

  - ### serve

    public void serve()

  - ### getPort

    public int getPort()
    Get port.
    Returns:
      The port this server is/will be listening on

  - ### getType

    public ThriftConnectionType getType()
    Get type.
    Returns:
      The type of server

  - ### supportsWorkerTokens

    public boolean supportsWorkerTokens()
    Check if worker tokens are supported by this thrift server.
    Returns:
      true if they are else false.

  - ### getConf

    public Map<String,Object> getConf()

  - ### getProcessor

    public org.apache.storm.thrift.TProcessor getProcessor()